aboutsummaryrefslogtreecommitdiffstats
path: root/install.zsh
diff options
context:
space:
mode:
authorLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-01-22 18:43:01 +0100
committerLibravatarLarge Libravatar memdmp <memdmpestrogenzone>2025-01-22 18:43:01 +0100
commit2177c3a6fc6ae8a167e6c1b164ab0022595c38d9 (patch)
tree3071b202eedf3e81cc403ebc2d785d1201b0f25d /install.zsh
parent1c202b4bb8bc8e1e9a951c3b85101c5c59821896 (diff)
downloadzuwu-2177c3a6fc6ae8a167e6c1b164ab0022595c38d9.tar.gz
zuwu-2177c3a6fc6ae8a167e6c1b164ab0022595c38d9.tar.bz2
zuwu-2177c3a6fc6ae8a167e6c1b164ab0022595c38d9.tar.lz
zuwu-2177c3a6fc6ae8a167e6c1b164ab0022595c38d9.zip

fix: setup.zsh should probably be set -e'd

Diffstat (limited to 'install.zsh')
-rwxr-xr-xinstall.zsh1
1 files changed, 1 insertions, 0 deletions
diff --git a/install.zsh b/install.zsh
index b7dfec7..ea4bef5 100755
--- a/install.zsh
+++ b/install.zsh
@@ -54,6 +54,7 @@ installFile env.zsh
<<EOF_SETUPSCRIPT > "$TARGET/setup.zsh"
#!/usr/bin/env zsh
+set -e
if [[ -f "\$HOME/.zshrc" ]]; then
local NEWZSHRC="\$HOME/.zshrc.\$(date -u +%Y-%m-%dT%H:%M:%S%Z)"
echo -e "\x1b[0;33mExitsing zshrc found, moving to \x1b[0;34m\$NEWZSHRC\x1b[0m"